# Get all payins for a given payment instrument

Get all payins for a given payment instrument

Endpoint: GET /profiles/{profileId}/payment-instruments/{paymentInstrumentId}/payins
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)

  - `paymentInstrumentId` (string, required)

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `payins` (array)

  - `payins.amount` (number)

  - `payins.currency` (string)

  - `payins.failureReason` (string)

  - `payins.id` (string)

  - `payins.payinSessionId` (string)

  - `payins.paymentInstrumentId` (string)

  - `payins.reference` (string)

  - `payins.status` (string)

